# coding: utf-8
# vim: set et sw=4 ts=4 sts=4 nu ai cc=+0 fdm=indent mouse=a:

from setuptools_scm import get_version
from pkg_resources import parse_version, DistributionNotFound, get_distribution
import os

# find the version number
# 1- Try to read it from the git info
# 2- If it fails, try to read it from the distribution file

try:
    v = get_version(root='../../', relative_to=__file__, version_scheme="post-release")
    v = parse_version(v)
    if v._version.post[-1] == 0:
        __version__ = v.base_version
    else:
        __version__ = v.public
except Exception as err:
    try:
        __version__ = get_distribution(__name__.strip('.version')).version
    except Exception as err:
        print("Unable to get the version number!")
        __version__ = "9.9.9"
